qwen-max API on AvalAI
qwen-maxqwen-max is an AI model from Alibaba that is available through AvalAI's OpenAI-compatible API.
Use qwen-max with the AvalAI API
Keep the API key in an environment variable and send requests from server-side code.
curl https://api.avalai.ir/v1/chat/completions \
-H "Content-Type: application/json" \
-H "Authorization: Bearer $AVALAI_API_KEY" \
-d '{"model": "qwen-max", "messages": [{"role": "user", "content": "Give a concise, practical solution."}]}'import os
from openai import OpenAI
client = OpenAI(
api_key=os.environ["AVALAI_API_KEY"],
base_url="https://api.avalai.ir/v1",
)
response = client.chat.completions.create(
model="qwen-max",
messages=[{"role": "user", "content": "Give a concise, practical solution."}],
)
print(response.choices[0].message.content)import OpenAI from "openai";
const client = new OpenAI({
apiKey: process.env.AVALAI_API_KEY,
baseURL: "https://api.avalai.ir/v1",
});
const response = await client.chat.completions.create({
model: "qwen-max",
messages: [{ role: "user", content: "Give a concise, practical solution." }],
});
console.log(response.choices[0].message.content);Create an API keyRead the quickstart
Capabilities and endpoints
- Function calling
- Reasoning
- Tool choice
qwen-max rate limits
| Tier | RPM | TPM |
|---|---|---|
| Tier 5 | 750 | 2,000,000 |
Related models
Frequently asked questions
What is the qwen-max API on AvalAI?
Create an AvalAI API key and send the model ID qwen-max to one of the supported endpoints shown on this page.
How much does the qwen-max API cost on AvalAI?
The qwen-max API on AvalAI costs $1.60 per 1M input tokens and $6.40 per 1M output tokens.
What is the token cost for qwen-max?
Current AvalAI pricing for qwen-max is $1.60 / 1M tokens for input and $6.40 / 1M tokens for output.
What is the qwen-max context window?
The recorded maximum input context for qwen-max is 30,720 tokens.
What are the rate limits for qwen-max on AvalAI?
On tier 5, qwen-max on AvalAI supports up to 750 requests per minute and 2,000,000 tokens per minute.
What features does qwen-max support on AvalAI?
qwen-max on AvalAI supports Function calling, Reasoning, Tool choice.
What account tier is required to use qwen-max on AvalAI?
Calling qwen-max on AvalAI requires tier 5 or higher.
Third-party data and freshness
- Pricing, availability, endpoints, and rate limits: AvalAI structured data (authoritative)